/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

// $Id: RedeployUnitTestCase.java,v 1.1.1.1.4.1 2004/08/09 09:54:35 tdiesler Exp $

package org.jboss.test.jbossnet.external;

import junit.framework.Test;

/**
 * tests connectivity to external, global web services. after redeploy
 * @version $Rev:$
 * @author cgjung
 * @since 12.11.2003
 */

public class RedeployUnitTestCase extends ExternalUnitTestCase
{
   // Constructors --------------------------------------------------
   public RedeployUnitTestCase(String name)
   {
      super(name);
   }

   /** this is to deploy the whole ear */
   public static Test suite() throws Exception
   {
      return getDeploySetup(RedeployUnitTestCase.class, "wsexternal.ear");
   }

   public static void main(String[] args)
   {
      junit.textui.TestRunner.run(RedeployUnitTestCase.class);
   }
}
